Package com.xebialabs.xlrelease.domain.events

## Class FacetConfiguredFacetsCreatedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.FacetConfiguredFacetsCreatedEvent

- All Implemented Interfaces:
    `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class FacetConfiguredFacetsCreatedEvent
      extends java.lang.Object
      implements XLReleaseEvent, scala.Product, java.io.Serializable

  Event published when facet configuration is complete (facet is mapped to one or many facets according to task attributes) and configured facets are saved param: originalFacet the original facet that was submitted to FacetService (not configured yet) param: configuredFacets the facets that were saved, thus configured facets param: hasConfiguration true if facet was actually reconfigured (thus task has any configuration attributes)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FacetConfiguredFacetsCreatedEvent​(TaskReportingRecord originalFacet, java.util.List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FacetConfiguredFacetsCreatedEvent` | `apply​(TaskReportingRecord originalFacet, java.util.List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `java.util.List<TaskReportingRecord>` | `configuredFacets()` |
    `FacetConfiguredFacetsCreatedEvent` | `copy​(TaskReportingRecord originalFacet, java.util.List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)` |
    `TaskReportingRecord` | `copy$default$1()` |
    `java.util.List<TaskReportingRecord>` | `copy$default$2()` |
    `boolean` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `boolean` | `hasConfiguration()` |
    `int` | `hashCode()` |
    `TaskReportingRecord` | `originalFacet()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object>>` | `unapply​(FacetConfiguredFacetsCreatedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### FacetConfiguredFacetsCreatedEvent

          public FacetConfiguredFacetsCreatedEvent​(TaskReportingRecord originalFacet,
                                                   java.util.List<TaskReportingRecord> configuredFacets,
                                                   boolean hasConfiguration)

  - ### Method Detail

    - #### apply

          public static FacetConfiguredFacetsCreatedEvent apply​(TaskReportingRecord originalFacet,
                                                                java.util.List<TaskReportingRecord> configuredFacets,
                                                                boolean hasConfiguration)

    - #### unapply

          public static scala.Option<scala.Tuple3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object>> unapply​(FacetConfiguredFacetsCreatedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### originalFacet

          public TaskReportingRecord originalFacet()

    - #### configuredFacets

          public java.util.List<TaskReportingRecord> configuredFacets()

    - #### hasConfiguration

          public boolean hasConfiguration()

    - #### copy

          public FacetConfiguredFacetsCreatedEvent copy​(TaskReportingRecord originalFacet,
                                                        java.util.List<TaskReportingRecord> configuredFacets,
                                                        boolean hasConfiguration)

    - #### copy$default$1

          public TaskReportingRecord copy$default$1()

    - #### copy$default$2

          public java.util.List<TaskReportingRecord> copy$default$2()

    - #### copy$default$3

          public boolean copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`